import request from '@/utils/request'

// 查询物料库存变更记录列表1
export function listMaterialInventoryLog(query) {
  return request({
    url: '/sfa/materialInventoryLog/list',
    method: 'get',
    params: query
  })
}
// 查询物料库存变更记录详细
export function getMaterialInventoryLog(inventoryLogId) {
  return request({
    url: '/sfa/materialInventoryLog/' + inventoryLogId,
    method: 'get'
  })
}

// 新增物料库存变更记录
export function addMaterialInventoryLog(data) {
  return request({
    url: '/sfa/materialInventoryLog',
    method: 'post',
    data: data
  })
}

// 修改物料库存变更记录
export function updateMaterialInventoryLog(data) {
  return request({
    url: '/sfa/materialInventoryLog',
    method: 'put',
    data: data
  })
}

// 删除物料库存变更记录
export function delMaterialInventoryLog(inventoryLogId) {
  return request({
    url: '/sfa/materialInventoryLog/' + inventoryLogId,
    method: 'delete'
  })
}
